# Deleting a Resource Tag

#### Description

- API name

  DeleteResourceTag

- Function

  The API is idempotent. When deleting a tag, the system does not check its character set. The tag key cannot be left blank or be an empty string. If the key of the tag to be deleted does not exist, 404 will be returned.

#### URI

- URI format

  DELETE /v2/{project_id}/{resource_type}/{resource_id}/tags/{key}

- Parameter description

  Parameter | Mandatory | Type | Description
  --- | --- | --- | ---
  project_id | Yes | String | Project ID See Obtaining a Project ID.
  resource_type | Yes | String | Resource type The value can be the following: smn_topic: topic

  resource_id

  Yes

  String

  Resource ID

  Obtain a resource ID:
  - Add X-SMN-RESOURCEID-TYPE=name in the request header and set the resource ID to the topic name.
  - Call the GetResourceInstances API to obtain the resource ID.

#### Request

- Request example

      DELETE https://{SMN_Endpoint}/v2/{project_id}/{resource_type}/{resource_id}/tags/{key}

#### Response

None

#### Returned Value

See Returned Value.

#### Error Code

See section Error Code.

Parent topic: Resource Tag Operations